# Token List API v2

**Overview**

Start here to get a list of all tokenID to use for calling following API's. You can then use the required tokenID to call each endpoint.

⬆️ v2 update: Provides more tokens that are listed with AI method. Add more field about  listing method, see below for field description

<table><thead><tr><th width="190">Listing Method</th><th>Definition</th></tr></thead><tbody><tr><td>INTERNAL</td><td>This token is listed and verified and cross checked across multiple sources by tokenomist</td></tr><tr><td>AI</td><td>This token has been listed using LLM assisted with single source. </td></tr><tr><td>EXTERNAL</td><td>This token is listed directly by the project team. It is first-party data and comes solely from the project's own source.</td></tr></tbody></table>

## Getting Started

#### **Base URL** <a href="#base-url" id="base-url"></a>

```
https://api.unlocks.app
```

#### **Authentication** <a href="#authentication" id="authentication"></a>

Provide your api key in the `x-api-key` header.

```
GET https://api.unlocks.app/v2/token/list
HEADER: x-api-key: <YOUR_API_KEY>
```

## **Endpoints: Token List**  <a href="#endpoints" id="endpoints"></a>

**Parameters**

No parameters required.

**Example:**

```
curl -X 'GET' \
  'https://api.unlocks.app/v2/token/list' \
  -H 'x-api-key: $YOUR_API_KEY'
```

**Response**

```json
{
    "metadata": {
        "queryDate": "2025-02-10T07:43:15Z"
    },
    "status": true,
    "data": [
        {
            "id": "1inch",
            "name": "1inch",
            "symbol": "1INCH",
            "listedMethod": "INTERNAL",
            "circulatingSupply": 1399213268.376045,
            "marketCap": 363579807,
            "maxSupply": 1499999999.997,
            "totalLockedAmount": 1748578.7999999523,
            "tbdLockedAmount": 0,
            "unlockedAmount": 1386314857.9699986,
            "untrackedAmount": 111936563.22700143,
            "hasStandardAllocation": false,
            "websiteUrl": "https://token.unlocks.app/1inch",
            "lastUpdatedDate": "2024-06-13T07:13:05Z"
        },
        {
            "id": "a3s",
            "name": "A3S",
            "symbol": "AA",
            "listedMethod": "INTERNAL",
            "circulatingSupply": 240195062.5232677,
            "marketCap": 8638466,
            "maxSupply": 1000000000,
            "totalLockedAmount": 66150000.000000015,
            "tbdLockedAmount": 900000000,
            "unlockedAmount": 33850000,
            "untrackedAmount": 0,
            "hasStandardAllocation": true,
            "websiteUrl": "https://token.unlocks.app/a3s",
            "lastUpdatedDate": "2024-11-25T03:06:24Z"
        },
        ....
    ]
}
```

The response includes time series data with the date (in UTC timezone), with granularity at the level of week.

**Return Fields Explanation**

| Fields                | Data Type | Description                                                                                   |
| --------------------- | --------- | --------------------------------------------------------------------------------------------- |
| id                    | string    | Identifier to call for a dataset                                                              |
| name                  | string    | Token Name                                                                                    |
| symbol                | string    | Token Symbol                                                                                  |
| listedMethod          | string    | Method of listing(INTERNAL, AI, EXTERNAL)                                                     |
| circulatingSupply     | number    | Circulating supply of the token provided by external source (Will be null if no data present) |
| marketCap             | number    | Market cap of the token provided by external source (Will be null if no data present)         |
| maxSupply             | number    | Max. Supply (Will be null if no data is present)                                              |
| totalLockedAmount     | number    | Total current locked token amount                                                             |
| tbdLockedAmount       | number    | Total current TBD locked token amount                                                         |
| unlockedAmount        | number    | Total current unlocked token amount                                                           |
| untrackedAmount       | number    | Total current untracked token amount                                                          |
| hasStandardAllocation | boolean   | Data set identifier for standard allocation dataset                                           |
| websiteUrl            | string    | Link to Tokenomist token page                                                                 |
| lastUpdatedDate       | timestamp | Last updated date of token                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unlocks.app/api-documents/api-endpoints/token-list-api/token-list-api-v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
